This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 842369 - Characters are not properly escaped in the names of dashboard pages
Characters are not properly escaped in the names of dashboard pages
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.2.ER02
i686 Linux
medium Severity low
: ---
: 5.2.2.CR01
Assigned To: Matt Wringe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 11:23 EDT by Miroslav Cupák
Modified: 2015-01-05 20:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8806 by mwringe at 2012-07-30 11:23:53 EDT (show)
8806 by mwringe at 2012-07-30 11:23:53 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

BZ-842369: Use the tabLabel instead of the inner html of the element when editing a dashboard tab. The inner html will have special characters already escaped and will display the escaped characters to be edited, instead of the actual label name.

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/portlet/dashboard/src/main/webapp/groovy/dashboard/webui/component/UITabPaneDashboard.gtmpl (+1 / -1)


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2012-07-23 11:23:32 EDT
Description of problem:
Special characters in the names of dashboard pages are not properly escaped, which leads to duplication of ampersands in HTML entities when editing the page names.

Steps to Reproduce:
1. Sign in as root.
2. Go to Dashboard. You should see the default dashboard page titled "Click & Type Page Name".
3. Double click on the page name to edit it. The text now says "Click & Type Page Name", i.e. ampersand is displayed as the corresponding HTML entity.
4. Press enter to save the name without changing it. You can see it says "Click & Type Page Name".
5. Double click on the name to edit it again. It says "Click & Type Page Name". Repeating the last two steps would make the name longer and longer this way.
Comment 1 Michal Vanco 2012-07-23 12:22:35 EDT
Probably related to https://bugzilla.redhat.com/show_bug.cgi?id=838973
Comment 2 Matt Wringe 2012-07-30 11:32:22 EDT
The issue was that when double clicking to edit the label, the already escaped inner html was being displayed, instead of the non-escaped actual name of the label. This has been fixed in revision 8806.
Comment 3 Michal Vanco 2012-08-01 06:24:35 EDT
Verified on 5.2 branch - will be part of ER04/CR01 release.
Comment 4 vramik 2012-08-27 11:42:49 EDT
Verified again at 5.2.2 CR01

Note You need to log in before you can comment on or make changes to this bug.